path: /build/build/iwd-net-wireless-2.17.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - cp -rf files/ /var/git/meta-repo/kits/core-kit/net-wireless/iwd/
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-systemd client crda standalone" emerge net-wireless/iwd -pv -t && \
    USE="-systemd client crda standalone" emerge -j ${JOBS} --nodeps net-wireless/iwd
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/iwd && luet-portage --dir /pkgdir/iwd
    net-wireless/iwd && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3dbd373192406557c41ebe330bf6edbd44570fc0cbd9586e4ef75157a99cf7ee
  package:
    name: iwd
    version: "2.17"
    category: net-wireless
    use_flags:
    - -systemd
    - client
    - crda
    - standalone
    requires:
    - name: ell
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Wireless daemon for linux
    uri:
    - https://git.kernel.org/pub/scm/network/wireless/iwd.git/
    license: GPL-2
    buildtimestamp: 2024-04-14 12:30:11.30298325 +0000 UTC m=+85.392760953
    labels:
      BDEPEND: virtual/pkgconfig virtual/pkgconfig
      DEPEND: sys-apps/dbus client? ( sys-libs/readline:0= ) ~dev-libs/ell-0.64
      IUSE: +client cpu_flags_x86_aes cpu_flags_x86_ssse3 +crda +monitor ofono standalone
        systemd wired kernel_linux
      RDEPEND: sys-apps/dbus client? ( sys-libs/readline:0= ) ~dev-libs/ell-0.64 net-wireless/wireless-regdb
        crda? ( net-wireless/crda ) standalone? ( systemd? ( sys-apps/systemd ) !systemd?
        ( virtual/resolvconf ) )
      emerge.packages: net-wireless/iwd
      kit: core-kit
      original.package.name: net-wireless/iwd
      original.package.slot: "0"
      original.package.version: "2.17"
    treedir: /build/packages
  package_dir: /pkgdir/iwd
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c9646c1a958d98c84a09464df4c6fb5f8831094bbbb48fef225c248ab17294e2
compressiontype: zstd
files:
- etc/conf.d/iwd
- etc/init.d/iwd
- etc/iwd/main.conf
- lib/systemd/network/80-iwd.link
- lib/systemd/system/iwd.service
- usr/bin/iwctl
- usr/bin/iwmon
- usr/lib/modules-load.d/pkcs8.conf
- usr/libexec/iwd
- usr/share/dbus-1/system-services/net.connman.iwd.service
- usr/share/dbus-1/system.d/iwd-dbus.conf
- usr/share/man/man1/iwctl.1.bz2
- usr/share/man/man1/iwmon.1.bz2
- usr/share/man/man5/iwd.ap.5.bz2
- usr/share/man/man5/iwd.config.5.bz2
- usr/share/man/man5/iwd.network.5.bz2
- usr/share/man/man7/iwd.debug.7.bz2
- usr/share/man/man8/iwd.8.bz2
- var/db/pkg/net-wireless/iwd-2.17/BDEPEND
- var/db/pkg/net-wireless/iwd-2.17/BUILD_TIME
- var/db/pkg/net-wireless/iwd-2.17/CATEGORY
- var/db/pkg/net-wireless/iwd-2.17/CBUILD
- var/db/pkg/net-wireless/iwd-2.17/CFLAGS
- var/db/pkg/net-wireless/iwd-2.17/CHOST
- var/db/pkg/net-wireless/iwd-2.17/CONTENTS
- var/db/pkg/net-wireless/iwd-2.17/COUNTER
- var/db/pkg/net-wireless/iwd-2.17/CXXFLAGS
- var/db/pkg/net-wireless/iwd-2.17/DEFINED_PHASES
- var/db/pkg/net-wireless/iwd-2.17/DEPEND
- var/db/pkg/net-wireless/iwd-2.17/DESCRIPTION
- var/db/pkg/net-wireless/iwd-2.17/EAPI
- var/db/pkg/net-wireless/iwd-2.17/FEATURES
- var/db/pkg/net-wireless/iwd-2.17/HOMEPAGE
- var/db/pkg/net-wireless/iwd-2.17/INHERITED
- var/db/pkg/net-wireless/iwd-2.17/IUSE
- var/db/pkg/net-wireless/iwd-2.17/IUSE_EFFECTIVE
- var/db/pkg/net-wireless/iwd-2.17/KEYWORDS
- var/db/pkg/net-wireless/iwd-2.17/LDFLAGS
- var/db/pkg/net-wireless/iwd-2.17/LICENSE
- var/db/pkg/net-wireless/iwd-2.17/NEEDED
- var/db/pkg/net-wireless/iwd-2.17/PF
- var/db/pkg/net-wireless/iwd-2.17/RDEPEND
- var/db/pkg/net-wireless/iwd-2.17/REQUIRES
- var/db/pkg/net-wireless/iwd-2.17/SIZE
- var/db/pkg/net-wireless/iwd-2.17/SLOT
- var/db/pkg/net-wireless/iwd-2.17/USE
- var/db/pkg/net-wireless/iwd-2.17/environment.bz2
- var/db/pkg/net-wireless/iwd-2.17/iwd-2.17.ebuild
- var/db/pkg/net-wireless/iwd-2.17/repository
- var/lib/iwd/.keep_net-wireless_iwd-0
package_cacheimage: ""
runtime:
  name: iwd
  version: "2.17"
  category: net-wireless
  use_flags:
  - -systemd
  - client
  - crda
  - standalone
  requires:
  - name: ell
    version: '>=0'
    category: dev-libs
  - name: crda
    version: '>=0'
    category: net-wireless
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: readline
    version: '>=0'
    category: sys-libs
  - name: resolvconf
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Wireless daemon for linux
  uri:
  - https://git.kernel.org/pub/scm/network/wireless/iwd.git/
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig virtual/pkgconfig
    DEPEND: sys-apps/dbus client? ( sys-libs/readline:0= ) ~dev-libs/ell-0.64
    IUSE: +client cpu_flags_x86_aes cpu_flags_x86_ssse3 +crda +monitor ofono standalone
      systemd wired kernel_linux
    RDEPEND: sys-apps/dbus client? ( sys-libs/readline:0= ) ~dev-libs/ell-0.64 net-wireless/wireless-regdb
      crda? ( net-wireless/crda ) standalone? ( systemd? ( sys-apps/systemd ) !systemd?
      ( virtual/resolvconf ) )
    emerge.packages: net-wireless/iwd
    kit: core-kit
    original.package.name: net-wireless/iwd
    original.package.slot: "0"
    original.package.version: "2.17"
